Page MenuHomeFreeBSD

Remove taskqueue_enqueue_fast from the tree
ClosedPublic

Authored by howard0su_gmail.com on Jan 30 2016, 1:14 PM.

Details

Summary

taskqueue_enqueue_fast is an alias of taskqueue_enqueue. It is not
needed to _fast version when in interrupt context anymore. Remove all
consumers of taskqueue_enqueue_fast and remove it from taskqueue.h.
But leave the implementation in kern/subr_taskqueue.c for back-
compability of binary drivers.

Also update man page to remove the related description on
taskqueue_enqueue_fast.

Point By: jhb

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

howard0su_gmail.com retitled this revision from to Remove taskqueue_enqueue_fast from the tree.
howard0su_gmail.com updated this object.
howard0su_gmail.com edited the test plan for this revision. (Show Details)
howard0su_gmail.com added a reviewer: jhb.
jhb edited edge metadata.

I'll see if I can't do a tinderbox build of this and commit it.

This revision is now accepted and ready to land.Feb 18 2016, 5:42 PM
howard0su_gmail.com edited edge metadata.

Remove enqueue_fast from Makefile of manpages.

This revision now requires review to proceed.Feb 19 2016, 3:54 AM
sepherosa_gmail.com edited edge metadata.

hyperv/hn bits have been committed. You probably need to leave it out.

This revision is now accepted and ready to land.Feb 19 2016, 3:58 AM
This revision was automatically updated to reflect the committed changes.